<?php
if (!defined('BASEPATH'))    exit('No direct script access allowed');

class Sac extends CI_Controller {

	private $carrinho;

	private $carrinhoComum;

    public function __construct() {
        parent::__construct();
        
        if (!$this->seguranca_model->valida_login_aluno()) {
            $this->session->sess_destroy();
            redirect('home#login');
        }
        
        

        

    }
    
     private function link_login_facebook()
    {
        require_once APPPATH . 'libraries/Facebook/autoload.php';
        //require_once realpath(__DIR__ . '/../..') . '/libraries/Facebook/autoload.php';

        $fb = new \Facebook\Facebook([
            'app_id' => FACEBOOK_APP_ID,
            'app_secret' => FACEBOOK_APP_SECRET,
            'default_graph_version' => FACEBOOK_DEFAULT_GRAPH_VERSION,
            'default_access_token' => FACEBOOK_DEFAULT_ACCESS_TOLKEN, // optional
                ]);

        $helper = $fb->getRedirectLoginHelper();

        $permissions = ['email']; // Optional permissions
        return $helper->getLoginUrl(base_url() . 'Site/callbackFacebook', $permissions);
    }


    public function index()
    {
           $this->load->model("sac_model", "sa");
           $loginUrl = $this->link_login_facebook();
          
           $cadastros=$this->sa->get_cadastros($this->session->userdata('imazon_nome'));
           $faturas=$this->sa->get_faturas_nao_pagas($this->session->userdata('imazon_id_fic'));
           $faturaspagas=$this->sa->get_faturas_pagas_7dias($this->session->userdata('imazon_id_fic'));
           
//           print_r($faturaspagas);
//           exit();
           $alunos=$this->sa->get_aluno($this->session->userdata('imazon_id_fic'));
           $aluno_log=$this->sa->get_aluno_log($this->session->userdata('imazon_id_fic'));
           
           
          
          
         
          
        $data = array(
            'titulo' => 'Cursos com Certificado',
            'palavra_chave' => 'Imazon Cursos',
            'loginUrl'=>$loginUrl,
            'cadastros'=>$cadastros,
            'faturas'=>$faturas,
            'aluno'=>$alunos,
             'usuario'=>$aluno_log,
            'faturaspagas'=>$faturaspagas,
           
        );
      
      $this->load->view('site/include/top', $data);
   $this->load->view('aluno/tela/sac');
    }
}
